#ifndef _TRANSCDE_H
#define _TRANSCDE_H


#define MAX_LENGHT_CHAR			52
#include <stdio.h>
#include <string.h>

class CTransCode
{
protected:
    char m_szBuffer[124];


public:
    CTransCode();
    virtual ~CTransCode();

	//Method
    virtual char* Decoding(const char* pzParam) = 0;
    virtual char* Encoding(const char* pzParam) = 0;

	static void Destroyd(void)	
		{if(m_pchInst != NULL){delete m_pchInst; m_pchInst = NULL;}}

	static CTransCode* Instance(void)
	{ return m_pchInst;}

	static CTransCode* m_pchInst;
};

#endif // ndef _TRANSCDE_H